<?php

namespace Restoore\SystempayWebservice;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'refundPayment' => '\\Restoore\\SystempayWebservice\\StructType\\RefundPayment',
            'commonRequest' => '\\Restoore\\SystempayWebservice\\StructType\\CommonRequest',
            'paymentRequest' => '\\Restoore\\SystempayWebservice\\StructType\\PaymentRequest',
            'queryRequest' => '\\Restoore\\SystempayWebservice\\StructType\\QueryRequest',
            'refundPaymentResponse' => '\\Restoore\\SystempayWebservice\\StructType\\RefundPaymentResponse',
            'refundPaymentResult' => '\\Restoore\\SystempayWebservice\\StructType\\RefundPaymentResult',
            'commonResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CommonResponse',
            'paymentResponse' => '\\Restoore\\SystempayWebservice\\StructType\\PaymentResponse',
            'orderResponse' => '\\Restoore\\SystempayWebservice\\StructType\\OrderResponse',
            'extInfo' => '\\Restoore\\SystempayWebservice\\StructType\\ExtInfo',
            'cardResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CardResponse',
            'authorizationResponse' => '\\Restoore\\SystempayWebservice\\StructType\\AuthorizationResponse',
            'captureResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CaptureResponse',
            'customerResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CustomerResponse',
            'billingDetailsResponse' => '\\Restoore\\SystempayWebservice\\StructType\\BillingDetailsResponse',
            'shippingDetailsResponse' => '\\Restoore\\SystempayWebservice\\StructType\\ShippingDetailsResponse',
            'extraDetailsResponse' => '\\Restoore\\SystempayWebservice\\StructType\\ExtraDetailsResponse',
            'markResponse' => '\\Restoore\\SystempayWebservice\\StructType\\MarkResponse',
            'threeDSResponse' => '\\Restoore\\SystempayWebservice\\StructType\\ThreeDSResponse',
            'authenticationRequestData' => '\\Restoore\\SystempayWebservice\\StructType\\AuthenticationRequestData',
            'authenticationResultData' => '\\Restoore\\SystempayWebservice\\StructType\\AuthenticationResultData',
            'extraResponse' => '\\Restoore\\SystempayWebservice\\StructType\\ExtraResponse',
            'fraudManagementResponse' => '\\Restoore\\SystempayWebservice\\StructType\\FraudManagementResponse',
            'riskControl' => '\\Restoore\\SystempayWebservice\\StructType\\RiskControl',
            'riskAnalysis' => '\\Restoore\\SystempayWebservice\\StructType\\RiskAnalysis',
            'riskAssessments' => '\\Restoore\\SystempayWebservice\\StructType\\RiskAssessments',
            'wsResponse' => '\\Restoore\\SystempayWebservice\\StructType\\WsResponse',
            'capturePayment' => '\\Restoore\\SystempayWebservice\\StructType\\CapturePayment',
            'settlementRequest' => '\\Restoore\\SystempayWebservice\\StructType\\SettlementRequest',
            'capturePaymentResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CapturePaymentResponse',
            'capturePaymentResult' => '\\Restoore\\SystempayWebservice\\StructType\\CapturePaymentResult',
            'createTokenFromTransaction' => '\\Restoore\\SystempayWebservice\\StructType\\CreateTokenFromTransaction',
            'cardRequest' => '\\Restoore\\SystempayWebservice\\StructType\\CardRequest',
            'createTokenFromTransactionResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CreateTokenFromTransactionResponse',
            'createTokenFromTransactionResult' => '\\Restoore\\SystempayWebservice\\StructType\\CreateTokenFromTransactionResult',
            'subscriptionResponse' => '\\Restoore\\SystempayWebservice\\StructType\\SubscriptionResponse',
            'shoppingCartResponse' => '\\Restoore\\SystempayWebservice\\StructType\\ShoppingCartResponse',
            'cartItemInfo' => '\\Restoore\\SystempayWebservice\\StructType\\CartItemInfo',
            'reactivateToken' => '\\Restoore\\SystempayWebservice\\StructType\\ReactivateToken',
            'reactivateTokenResponse' => '\\Restoore\\SystempayWebservice\\StructType\\ReactivateTokenResponse',
            'reactivateTokenResult' => '\\Restoore\\SystempayWebservice\\StructType\\ReactivateTokenResult',
            'duplicatePayment' => '\\Restoore\\SystempayWebservice\\StructType\\DuplicatePayment',
            'orderRequest' => '\\Restoore\\SystempayWebservice\\StructType\\OrderRequest',
            'duplicatePaymentResponse' => '\\Restoore\\SystempayWebservice\\StructType\\DuplicatePaymentResponse',
            'duplicatePaymentResult' => '\\Restoore\\SystempayWebservice\\StructType\\DuplicatePaymentResult',
            'verifyThreeDSEnrollment' => '\\Restoore\\SystempayWebservice\\StructType\\VerifyThreeDSEnrollment',
            'techRequest' => '\\Restoore\\SystempayWebservice\\StructType\\TechRequest',
            'threeDSRequest' => '\\Restoore\\SystempayWebservice\\StructType\\ThreeDSRequest',
            'mpiExtensionRequest' => '\\Restoore\\SystempayWebservice\\StructType\\MpiExtensionRequest',
            'verifyThreeDSEnrollmentResponse' => '\\Restoore\\SystempayWebservice\\StructType\\VerifyThreeDSEnrollmentResponse',
            'verifyThreeDSEnrollmentResult' => '\\Restoore\\SystempayWebservice\\StructType\\VerifyThreeDSEnrollmentResult',
            'validatePayment' => '\\Restoore\\SystempayWebservice\\StructType\\ValidatePayment',
            'validatePaymentResponse' => '\\Restoore\\SystempayWebservice\\StructType\\ValidatePaymentResponse',
            'validatePaymentResult' => '\\Restoore\\SystempayWebservice\\StructType\\ValidatePaymentResult',
            'cancelPayment' => '\\Restoore\\SystempayWebservice\\StructType\\CancelPayment',
            'cancelPaymentResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CancelPaymentResponse',
            'cancelPaymentResult' => '\\Restoore\\SystempayWebservice\\StructType\\CancelPaymentResult',
            'checkThreeDSAuthentication' => '\\Restoore\\SystempayWebservice\\StructType\\CheckThreeDSAuthentication',
            'checkThreeDSAuthenticationResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CheckThreeDSAuthenticationResponse',
            'checkThreeDSAuthenticationResult' => '\\Restoore\\SystempayWebservice\\StructType\\CheckThreeDSAuthenticationResult',
            'getPaymentUuid' => '\\Restoore\\SystempayWebservice\\StructType\\GetPaymentUuid',
            'legacyTransactionKeyRequest' => '\\Restoore\\SystempayWebservice\\StructType\\LegacyTransactionKeyRequest',
            'getPaymentUuidResponse' => '\\Restoore\\SystempayWebservice\\StructType\\GetPaymentUuidResponse',
            'legacyTransactionKeyResult' => '\\Restoore\\SystempayWebservice\\StructType\\LegacyTransactionKeyResult',
            'updatePayment' => '\\Restoore\\SystempayWebservice\\StructType\\UpdatePayment',
            'updatePaymentResponse' => '\\Restoore\\SystempayWebservice\\StructType\\UpdatePaymentResponse',
            'updatePaymentResult' => '\\Restoore\\SystempayWebservice\\StructType\\UpdatePaymentResult',
            'updatePaymentDetails' => '\\Restoore\\SystempayWebservice\\StructType\\UpdatePaymentDetails',
            'shoppingCartRequest' => '\\Restoore\\SystempayWebservice\\StructType\\ShoppingCartRequest',
            'updatePaymentDetailsResponse' => '\\Restoore\\SystempayWebservice\\StructType\\UpdatePaymentDetailsResponse',
            'updatePaymentDetailsResult' => '\\Restoore\\SystempayWebservice\\StructType\\UpdatePaymentDetailsResult',
            'createPayment' => '\\Restoore\\SystempayWebservice\\StructType\\CreatePayment',
            'customerRequest' => '\\Restoore\\SystempayWebservice\\StructType\\CustomerRequest',
            'billingDetailsRequest' => '\\Restoore\\SystempayWebservice\\StructType\\BillingDetailsRequest',
            'shippingDetailsRequest' => '\\Restoore\\SystempayWebservice\\StructType\\ShippingDetailsRequest',
            'extraDetailsRequest' => '\\Restoore\\SystempayWebservice\\StructType\\ExtraDetailsRequest',
            'createPaymentResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CreatePaymentResponse',
            'createPaymentResult' => '\\Restoore\\SystempayWebservice\\StructType\\CreatePaymentResult',
            'createSubscription' => '\\Restoore\\SystempayWebservice\\StructType\\CreateSubscription',
            'subscriptionRequest' => '\\Restoore\\SystempayWebservice\\StructType\\SubscriptionRequest',
            'createSubscriptionResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CreateSubscriptionResponse',
            'createSubscriptionResult' => '\\Restoore\\SystempayWebservice\\StructType\\CreateSubscriptionResult',
            'getSubscriptionDetails' => '\\Restoore\\SystempayWebservice\\StructType\\GetSubscriptionDetails',
            'getSubscriptionDetailsResponse' => '\\Restoore\\SystempayWebservice\\StructType\\GetSubscriptionDetailsResponse',
            'getSubscriptionDetailsResult' => '\\Restoore\\SystempayWebservice\\StructType\\GetSubscriptionDetailsResult',
            'tokenResponse' => '\\Restoore\\SystempayWebservice\\StructType\\TokenResponse',
            'updateSubscription' => '\\Restoore\\SystempayWebservice\\StructType\\UpdateSubscription',
            'updateSubscriptionResponse' => '\\Restoore\\SystempayWebservice\\StructType\\UpdateSubscriptionResponse',
            'updateSubscriptionResult' => '\\Restoore\\SystempayWebservice\\StructType\\UpdateSubscriptionResult',
            'cancelToken' => '\\Restoore\\SystempayWebservice\\StructType\\CancelToken',
            'cancelTokenResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CancelTokenResponse',
            'cancelTokenResult' => '\\Restoore\\SystempayWebservice\\StructType\\CancelTokenResult',
            'createToken' => '\\Restoore\\SystempayWebservice\\StructType\\CreateToken',
            'createTokenResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CreateTokenResponse',
            'createTokenResult' => '\\Restoore\\SystempayWebservice\\StructType\\CreateTokenResult',
            'findPayments' => '\\Restoore\\SystempayWebservice\\StructType\\FindPayments',
            'findPaymentsResponse' => '\\Restoore\\SystempayWebservice\\StructType\\FindPaymentsResponse',
            'findPaymentsResult' => '\\Restoore\\SystempayWebservice\\StructType\\FindPaymentsResult',
            'transactionItem' => '\\Restoore\\SystempayWebservice\\StructType\\TransactionItem',
            'getPaymentDetails' => '\\Restoore\\SystempayWebservice\\StructType\\GetPaymentDetails',
            'getPaymentDetailsResponse' => '\\Restoore\\SystempayWebservice\\StructType\\GetPaymentDetailsResponse',
            'getPaymentDetailsResult' => '\\Restoore\\SystempayWebservice\\StructType\\GetPaymentDetailsResult',
            'updateToken' => '\\Restoore\\SystempayWebservice\\StructType\\UpdateToken',
            'updateTokenResponse' => '\\Restoore\\SystempayWebservice\\StructType\\UpdateTokenResponse',
            'updateTokenResult' => '\\Restoore\\SystempayWebservice\\StructType\\UpdateTokenResult',
            'cancelSubscription' => '\\Restoore\\SystempayWebservice\\StructType\\CancelSubscription',
            'cancelSubscriptionResponse' => '\\Restoore\\SystempayWebservice\\StructType\\CancelSubscriptionResponse',
            'cancelSubscriptionResult' => '\\Restoore\\SystempayWebservice\\StructType\\CancelSubscriptionResult',
            'getTokenDetails' => '\\Restoore\\SystempayWebservice\\StructType\\GetTokenDetails',
            'getTokenDetailsResponse' => '\\Restoore\\SystempayWebservice\\StructType\\GetTokenDetailsResponse',
            'getTokenDetailsResult' => '\\Restoore\\SystempayWebservice\\StructType\\GetTokenDetailsResult',
        );
    }
}
